package com.mortals.xhx.module.matter.model;

import com.mortals.xhx.module.matter.model.vo.MatterAcceptVo;
/**
* 事项受理条件实体对象
*
* @author zxfei
* @date 2022-11-16
*/

public class MatterAcceptEntity extends MatterAcceptVo {
    private static final long serialVersionUID = 1L;

    /**
    * 基础事项表id
    */
    private Long matterId;
    /**
    * 事项编码
    */
    private String matterCode;
    /**
    * 事项名称
    */
    private String matterName;
    /**
    * 受理条件
    */
    private String content;
    /**
    * 事项来源 (0.政务网，1.自定义)
    */
    private Integer source;



    public MatterAcceptEntity(){}
    /**
    * 获取 基础事项表id
    * @return Long
    */
    public Long getMatterId(){
        return matterId;
    }
    /**
    * 设置 基础事项表id
    * @param matterId
    */
    public void setMatterId(Long matterId){
        this.matterId = matterId;
    }
    /**
    * 获取 事项编码
    * @return String
    */
    public String getMatterCode(){
        return matterCode;
    }
    /**
    * 设置 事项编码
    * @param matterCode
    */
    public void setMatterCode(String matterCode){
        this.matterCode = matterCode;
    }
    /**
    * 获取 事项名称
    * @return String
    */
    public String getMatterName(){
        return matterName;
    }
    /**
    * 设置 事项名称
    * @param matterName
    */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
    * 获取 受理条件
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 受理条件
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }
    /**
    * 获取 事项来源 (0.政务网，1.自定义)
    * @return Integer
    */
    public Integer getSource(){
        return source;
    }
    /**
    * 设置 事项来源 (0.政务网，1.自定义)
    * @param source
    */
    public void setSource(Integer source){
        this.source = source;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof MatterAcceptEntity) {
            MatterAcceptEntity tmp = (MatterAcceptEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",matterId:").append(getMatterId());
        sb.append(",matterCode:").append(getMatterCode());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",content:").append(getContent());
        sb.append(",source:").append(getSource());
        return sb.toString();
    }

    public void initAttrValue(){

            this.matterId = 0L;

            this.matterCode = "";

            this.matterName = "";

            this.content = "";

            this.source = 0;
    }
}